Package owl.ltl

## Class FrequencyG

- java.lang.Object
- - owl.ltl.Formula
  - - owl.ltl.Formula.TemporalOperator
    - - owl.ltl.Formula.ModalOperator
      - - owl.ltl.UnaryModalOperator
        - - owl.ltl.GOperator
          - - owl.ltl.FrequencyG

- All Implemented Interfaces:
    `Comparable<Formula>`

      public final class FrequencyG
      extends GOperator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FrequencyG.Comparison` |
    `static class` | `FrequencyG.Limes` |

    - ### Nested classes/interfaces inherited from class owl.ltl.Formula

      `Formula.LogicalOperator, Formula.ModalOperator, Formula.TemporalOperator`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `bound` |
    `FrequencyG.Comparison` | `cmp` |
    `FrequencyG.Limes` | `limes` |

    - ### Fields inherited from class owl.ltl.UnaryModalOperator

      `operand`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrequencyG​(Formula operand, double bound, FrequencyG.Comparison cmp, FrequencyG.Limes limes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,​B> A` | `accept​(BinaryVisitor<B,​A> v, B parameter)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `protected boolean` | `equalsImpl​(Formula o)` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `Formula` | `nnf()` |
    `FrequencyG` | `not()` | Syntactically negate this formula.
    `String` | `operatorSymbol()` |
    `String` | `toString()` |
    `FrequencyG` | `unfold()` |

    - ### Methods inherited from class owl.ltl.GOperator

      `accept, of, unfoldTemporalStep`

    - ### Methods inherited from class owl.ltl.UnaryModalOperator

      `children, compareToImpl`

    - ### Methods inherited from class owl.ltl.Formula.TemporalOperator

      `substitute, temporalStep, temporalStep, temporalStep, temporalStepUnfold`

    - ### Methods inherited from class owl.ltl.Formula

      `allMatch, anyMatch, atomicPropositions, compareTo, equals, hashCode, height, isSuspendable, subformulas, subformulas, subformulas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bound

          public final double bound

    - #### cmp

          public final FrequencyG.Comparison cmp

    - #### limes

          public final FrequencyG.Limes limes

  - ### Constructor Detail

    - #### FrequencyG

          public FrequencyG​(Formula operand,
                            double bound,
                            FrequencyG.Comparison cmp,
                            FrequencyG.Limes limes)

  - ### Method Detail

    - #### accept

          public <R> R accept​(Visitor<R> v)

      Overrides:
        `accept` in class `GOperator`

    - #### accept

          public <A,​B> A accept​(BinaryVisitor<B,​A> v,
                                      B parameter)

      Overrides:
        `accept` in class `GOperator`

    - #### equalsImpl

          protected boolean equalsImpl​(Formula o)

      Overrides:
        `equalsImpl` in class `UnaryModalOperator`

    - #### operatorSymbol

          public String operatorSymbol()

      Overrides:
        `operatorSymbol` in class `GOperator`

    - #### isPureEventual

          public boolean isPureEventual()

      Overrides:
        `isPureEventual` in class `GOperator`

    - #### isPureUniversal

          public boolean isPureUniversal()

      Overrides:
        `isPureUniversal` in class `GOperator`

    - #### nnf

          public Formula nnf()

      Overrides:
        `nnf` in class `GOperator`

    - #### not

          public FrequencyG not()

      Description copied from class: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Overrides:
        `not` in class `GOperator`
      Returns:
        the negation of this formula.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UnaryModalOperator`

    - #### unfold

          public FrequencyG unfold()

      Overrides:
        `unfold` in class `GOperator`